<?php

namespace Drupal\ds;

use Drupal\Core\Entity\Display\EntityDisplayInterface;
use Drupal\Core\Entity\EntityInterface;

/**
 * EnriryViewAlterInterface.
 */
interface EntityViewAlterInterface {

  /**
   * Entity View Alter.
   *
   * @param mixed $build
   *   Build the entity view alter.
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   Entity interface.
   * @param \Drupal\Core\Entity\Display\EntityDisplayInterface $display
   *   The entity display interface.
   */
  public function changeEntityView(&$build, EntityInterface $entity, EntityDisplayInterface $display);

}
